import { jsx } from "react/jsx-runtime";
import { TokenDGX as TokenDGX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDGX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DGX", "data-name": "TokenDGX", ...props, children: /* @__PURE__ */ jsx(TokenDGX$1, { variant }) });
  }
);
TokenDGX.displayName = "TokenDGX";
Object.assign(TokenDGX, { isGdsIcon: true });
export {
  TokenDGX
};
